probe::socket.receive
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.receive — Message received on a socket.

## Synopsis

    socket.receive

## Values

`type`

  Socket type value

`name`

  Name of this probe

`state`

  Socket state value

`size`

  Size of message received (in bytes) or error code if success = 0

`success`

  Was send successful? (1 = yes, 0 = no)

`flags`

  Socket flags value

`protocol`

  Protocol value

`family`

  Protocol family value

## Context

The message receiver

Prev | Up | Next
probe::socket.readv.return | Home | probe::socket.recvmsg